<?php 
/*
Code by Varun Srivastava
on date: 28/3/13
Description: This file insert Fliscer API Key into option table.
*/
	$message = '';
	global $wpdb;
	include('ivippagination.php');
	if( isset($_GET['msg']) )
	{
		$message = '<div class="updated"><p>'.$_GET['msg'].'</p></div>';
	}
	
	if($_POST['add_flicker_details']=='Submit' )
	{           
		$flicker_api 		= $_POST['ivip_flicker_api_key'];
		$pixabay_api 		= $_POST['ivip_pixabay_api_key'];
		$pixabay_user 		= $_POST['ivip_pixabay_username'];
		
		if($flicker_api == "")
		{
			$message ="<div class='error'>Error:Please Enter Flicker API Key.</div>";	//Display error message if API Key is blank.
		}
		else			//update Data if both fields are active.
		{
			update_option('ivip_flicker_api_key',$flicker_api);
			update_option('ivip_pixabay_api_key',$pixabay_api);
			update_option('ivip_pixabay_username',$pixabay_user);
			require_once('phpFlickr.php');
			$f = new phpFlickr($flicker_api);
			$f->enableCache("fs", "cache"); 
			$photos = $f->photos_search(array("tags"=>"wordpress", "tag_mode"=>"any", "per_page"=>"10", "page"=>"2", "safe_search"=>"1", "accuracy"=>"1"));
			if($photos != "")
			{
				$message ="<div class='updated'>API Key Saved Successfully.</div>";	//Display message if API Key is correct.
			}
			else
			{
				$message ="<div class='error'>Error:Please Enter Correct API Key.</div>";	//Display error message if API key is incorrct.
			}				
		}
	}
	if($_REQUEST['action']=='delete')
	{		//Delete the requested records.
		$id = $_REQUEST['DEL'];
		
		$query = $wpdb->query("DELETE FROM ivip_keywords WHERE id='".$id."'");

		$message = '<div class="updated">Keyword Deleted Successfuly.</div>';	//Display update message if data is deleted.	
		
		header("Location: ".get_site_url()."/wp-admin/admin.php?page=ivip_settings");
	}
	/* Integration With G-alert Plugin Start */
	/* Code runs when G-alert Plugin is activated */
	if($_POST['ivip_gplus_submit_settings']=='Submit' )
	{           
		$gplus_keywords			=	serialize($_POST['ivip_gplus_keywords_list']);
		
		$gplus_insert_key		=	$_POST['ivip_gplus_insert'];
		
		$ivip_total_results		=	$_POST['ivip_total_results'];
		
		$ivip_total_images		=	$_POST['ivip_total_images'];
		
		$ivip_total_videos		=	$_POST['ivip_total_videos'];
		
		$ivip_featured_image	=	$_POST['ivip_featured_image'];
		
		$ivip_use_tags_image	=	$_POST['ivip_use_tags_image'];
		
		$ivip_use_cat_image		=	$_POST['ivip_use_cat_image'];
		
		if($gplus_keywords == "")
		{
			$message ="<div class='error'>Error:Please Select Keywords to insert auto Image/Video.</div>";	//Display error message if API Key is blank.
		}
		if($gplus_insert_key == "")
		{
			$message ="<div class='error'>Error:Please Choose an option to insert auto Image/Video.</div>";	//Display error message if API Key is blank.
		}
		else			//update Data if both fields are active.
		{
			update_option('ivip_gplus_keywords_list',$gplus_keywords);
			update_option('ivip_gplus_insert',$gplus_insert_key);
			update_option('ivip_total_results',$ivip_total_results);
			update_option('ivip_total_images',$ivip_total_images);
			update_option('ivip_total_videos',$ivip_total_videos);
			update_option('ivip_featured_image',$ivip_featured_image);
			update_option('ivip_use_tags_image',$ivip_use_tags_image);
			update_option('ivip_use_cat_image',$ivip_use_cat_image);
			
			$message ="<div class='updated'>Gplus Settings Saved Successfully.</div>";	//Display message if API Key is correct.
						
		}
	}		
	/* Integration With G-alert Plugin Start */
?>		
	<div class="wrap">
        <div class="icon32" id="icon-options-general"></div>
        <h2>Plugin Settings</h2>
		<?php echo $message; ?> 
        <form action="" method="POST" enctype="form-data">
			<h2>Add Flicker API</h2>
			<table class="form-table">
			<tr>
				<th>
					<label for="flicker_api"><strong>Flicker API Key:</strong></label>
				</th>
				<td>
					<input type="text" name="ivip_flicker_api_key" class="regular-text" value="<?php echo get_option('ivip_flicker_api_key'); ?>"/>
				</td>
			</tr>
			</table>
			<h2>Add Pixabay Details</h2>
			<table class="form-table">
			<tr>
				<th>
					<label for="pixabay_user"><strong>Pixabay Username:</strong></label>
				</th>
				<td>
					<input type="text" name="ivip_pixabay_username" class="regular-text" value="<?php echo get_option('ivip_pixabay_username'); ?>"/>
				</td>
			</tr>
			<tr>
				<th>
					<label for="pixabay_api"><strong>Pixabay API Key:</strong></label>
				</th>
				<td>
					<input type="text" name="ivip_pixabay_api_key" class="regular-text" value="<?php echo get_option('ivip_pixabay_api_key'); ?>"/>
				</td>
			</tr>
			</table>
			<p class="submit">
				<input type="submit" class="button-primary" value="Submit" name="add_flicker_details" /> 
			</p>
		</form>
		<h2>Saved Query Listing</h2>
			<table class="widefat">
				<thead>
					<tr>
						<th><strong>S.No</strong></th>
						<th><strong>Keyword</strong></th>
						<th><strong>Action</strong></th>	
					</tr>
				</thead>
				<tbody>
				<?php 
					$url = admin_url()."admin.php?page=ivip_settings";
					/*Max Number of results to show*/
					$max = 5;
					/*Get the current page eg index.php?pg=4*/
					if(isset($_GET['pg'])){
					$p = $_GET['pg'];
					}else{
					$p = 1;
					}
					$limit = ($p - 1) * $max;
					$prev = $p - 1;
					$next = $p + 1;
					$limits = (int)($p - 1) * $max;

					//This is the query to get the current dataset
					$result=$wpdb->get_results('SELECT * from ivip_keywords  limit '.$limits.','.$max.'');
					//Get total records from db
					$totalres = $wpdb->get_var('SELECT COUNT(id) AS tot FROM ivip_keywords');
					//devide it with the max value & round it up
					$totalposts = ceil($totalres / $max);
					$lpm1 = $totalposts - 1;
			
						$i=1;
						if( count($result) ){	
							foreach($result as $output){	

						 ?>
								<tr>
								 <td><?php echo $i++; ?></td>
								 <td><?php echo $output->keyword; ?></td>
								 <td>
									<a href="<?php echo get_site_url();?>/wp-admin/admin.php?page=ivip_settings&action=delete&DEL=<?php echo $output->id;?>">Delete</a>
								 </td>
								</tr>
				<?php  		} ?>
							<tr>
								<td>
								</td>
								<td>
									<?php echo ivippagination($totalposts,$p,$lpm1,$prev,$next,$url);?>
								<td>				
							</tr>
				<?php   } ?>
				</tbody>
		</table>
		<br />
		<!-- Integration With G-alert Plugin Start -->
			<!-- Code runs when G-alert Plugin is activated -->
			<?php if(is_plugin_active("GoogleAlertandtwitterplugin/google_and_twitter_plugin.php")){ ?>
				<form action="" method="POST" enctype="form-data">
					<h2>G Plus Settings</h2>
					<?php $ivip_gplus_queries = $wpdb->get_results('SELECT * from ivip_keywords'); ?>
					<table class="form-table">
					<tr>
						<th>
							<label for="select_keyword"><strong>Select Keyword:</strong></label>
						</th>
						<td>
							<?php $selected_keys	=	unserialize(get_option('ivip_gplus_keywords_list'));?>
							<select name="ivip_gplus_keywords_list[]" multiple>
								<?php foreach($ivip_gplus_queries as $ivip_gplus_query){?>
									<option value="<?php echo $ivip_gplus_query->id;?>" <?php if (in_array($ivip_gplus_query->id, $selected_keys)){ echo 'selected';}?>><?php echo $ivip_gplus_query->keyword;?></option>
								<?php } ?>
							</select>
						</td>
					</tr>
					<tr>
						<th>
							<label for="insert_option"><strong>Insert:</strong></label>
						</th>
						<td>
							<input type="radio" name="ivip_gplus_insert" value="images" <?php if(get_option('ivip_gplus_insert') == 'images'){ echo 'checked';}?>>Images Only<br />
							<input type="radio" name="ivip_gplus_insert" value="video" <?php if(get_option('ivip_gplus_insert') == 'video'){ echo 'checked';}?>>Videos Only<br />
							<input type="radio" name="ivip_gplus_insert" value="images_video" <?php if(get_option('ivip_gplus_insert') == 'images_video'){ echo 'checked';}?>>Both Images and Videos
						</td>
					</tr>
					<tr>
						<th>
							<label for="total_results"><strong>Total Results:</strong></label>
						</th>
						<td>
							<select name="ivip_total_results">
							<?php for($i=1; $i<=10; $i++){ ?>
								<option value="<?php echo $i;?>" <?php if(get_option('ivip_total_results') == $i){ echo 'selected';}?>><?php echo $i;?></option>
							<?php } ?>
						</td>
					</tr>
					<tr>
						<th>
							<label for="total_images"><strong>Total Images:</strong></label>
						</th>
						<td>
							<select name="ivip_total_images">
							<?php for($j=1; $j<=5; $j++){ ?>
								<option value="<?php echo $j;?>" <?php if(get_option('ivip_total_images') == $j){ echo 'selected';}?>><?php echo $j;?></option>
							<?php } ?>
						</td>
					</tr>
					<tr>
						<th>
							<label for="total_videos"><strong>Total Videos:</strong></label>
						</th>
						<td>
							<select name="ivip_total_videos">
							<?php for($k=1; $k<=5; $k++){ ?>
								<option value="<?php echo $k;?>" <?php if(get_option('ivip_total_videos') == $k){ echo 'selected';}?>><?php echo $k;?></option>
							<?php } ?>
						</td>
					</tr>
					<tr>
						<th>
							<label for="gplus_featured_image"><strong>Featured Image:</strong></label>
						</th>
						<td>
							<input type="radio" name="ivip_featured_image" value="yes" <?php if(get_option('ivip_featured_image') == 'yes'){ echo 'checked';}?>>Yes
							<input type="radio" name="ivip_featured_image" value="no" <?php if(get_option('ivip_featured_image') == 'no'){ echo 'checked';}?>>No
						</td>
					</tr>
					<tr>
						<th>
							<label for="gplus_tag_image"><strong>Use Tags:</strong></label>
						</th>
						<td>
							<input type="radio" name="ivip_use_tags_image" value="yes" <?php if(get_option('ivip_use_tags_image') == 'yes'){ echo 'checked';}?>>Yes
							<input type="radio" name="ivip_use_tags_image" value="no" <?php if(get_option('ivip_use_tags_image') == 'no'){ echo 'checked';}?>>No
						</td>
					</tr>
					<tr>
						<th>
							<label for="gplus_category_image"><strong>Use Categories:</strong></label>
						</th>
						<td>
							<input type="radio" name="ivip_use_cat_image" value="yes" <?php if(get_option('ivip_use_cat_image') == 'yes'){ echo 'checked';}?>>Yes
							<input type="radio" name="ivip_use_cat_image" value="no" <?php if(get_option('ivip_use_cat_image') == 'no'){ echo 'checked';}?>>No
						</td>
					</tr>
					</table>
					<p class="submit">
						<input type="submit" class="button-primary" value="Submit" name="ivip_gplus_submit_settings" /> 
					</p>
				</form>
			<?php } ?>
		<!-- Integration With G-alert Plugin Ends --> 
	</div>
