<?php
/* Plugin Name: Auto Image/Video Insertion Plugin
Plugin URI: http://imageplugin.com/
Description: Another <a href="http://www.universalmedia-online.com" target="_blank">UMO</a> Plugin. Insert Images and videos into your blog posts automatically.
Author: Walt Bayliss
Author URI: http://waltbayliss.com/
Version: 1.0.1
*/
register_activation_hook(__FILE__,'umo_ivip_install'); 
function umo_ivip_install(){
	global $wpdb;
		update_option('umo_ivip_licenceurl','http://imageplugin.com/');
		
		if($wpdb->get_var("show tables like ivip_keywords") != 'ivip_keywords')
		{
			$sql = "CREATE TABLE IF NOT EXISTS `ivip_keywords` (
					  `id` bigint(11) NOT NULL AUTO_INCREMENT,
					  `keyword` varchar(225) NOT NULL,
					  PRIMARY KEY (`id`)
					)";
					
				require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
				dbDelta($sql);
		}

	}
add_action('admin_menu','umo_ivip_themes_option_menu');
/*
* Function : umo_ivip_requestServer()
* Author   : Varun Srivastava
* Date     : 12 July 2013
* Desc     : function to handle all curl requests.
*/
function umo_ivip_requestServer($serverurl,$datastring)
{
	$ch		=	curl_init($serverurl);
	
	curl_setopt($ch,CURLOPT_POST,true);
	
	//curl_setopt($ch,CURLOPT_POSTFIELDS,'action=check&plugin_slug=seo_child&plugin_version=1.0.0');
	
	curl_setopt($ch,CURLOPT_POSTFIELDS,$datastring);
	
	curl_setopt($ch,CURLOPT_RETURNTRANSFER,true);
	
	$output	=	curl_exec($ch);
	
	if($output === false)
	{
		curl_close($ch); 
		$response	=	"<response><update>0</update><version>0</version></response>";
		return $response;
	}
	else
	{
		curl_close($ch); //free system resources

		$response	=	simplexml_load_string($output);
		
		$response	=	(array) $response;
		
		return $response;
	}
}
/*
* Function : umo_ivip_themes_option_menu()
* Author   : Varun Srivastava
* Date     : 28 Mar 2013
* Desc     : Function to show menus in the admin dashboard.
*/
function umo_ivip_themes_option_menu()
{
	global $result;
	$activation_key		=	trim(get_option('umo_ivip_activation_key'));
	$requesturl			=	get_option('umo_ivip_licenceurl');
	$icon_url			=	plugin_dir_url(__FILE__).'viewGallery.png';
	add_menu_page('wp_themes_option_settings','Image/Video Plugin','administrator','ivip_settings','umo_ivip_settings',$icon_url);
	//add_submenu_page('ivip_activation','Image/Video Plugin','Activation',10,'ivip_activation','umo_ivip_activation');
	add_submenu_page('ivip_activation','Image/Video Plugin','Settings',10,'ivip_settings','umo_ivip_settings');	
	/*
	if( preg_match('/^(http:\/\/|www.|https:\/\/)+[a-z0-9\-]/',$requesturl,$matches) )
	{		
		if($requesturl && $activation_key)
		{
			if( $activation_key == 'CGDU462K')
			{
				add_submenu_page('ivip_activation','Image/Video Plugin','Settings',10,'ivip_settings','umo_ivip_settings');		
			}
			else
			{
				add_action('admin_notices','umo_ivip_pleaseactivate');
			}
		}
		else
		{
				add_action('admin_notices','umo_ivip_pleaseactivate');
		}
	}
	else
	{
			add_action('admin_notices','umo_ivip_pleaseactivate');
	}	
	*/
}
/*
* Function : umo_ivip_activation()
* Author   : Varun Srivastava
* Date     : 28 Mar 2013
* Desc     : Function to add activation Details.
*/
function umo_ivip_pleaseactivate()
{
	echo '<div id="server-seo-perm-message" class="error" style=" height: 44px !important; padding-top: 5px !important;"><p><strong>Please activate </strong> Image plugin. </p></div>';
}
/*
* Function : umo_ivip_activation()
* Author   : Varun Srivastava
* Date     : 28 Mar 2013
* Desc     : Function to add activation Details.
*/
function umo_ivip_activation()
{
	include('activation.php');
}

/*
* Function : umo_ivip_settings()
* Author   : Varun Srivastava
* Date     : 28 Mar 2013
* Desc     : Function to add flicker api key.
*/
function umo_ivip_settings()
{
	include('plugin_settings.php');
}
function ivip_enqueue_script() {
	wp_enqueue_script('ivip_frameready_script',plugins_url('/jquery.frameready.js', __FILE__),array('jquery'));
}    
add_action('wp_enqueue_scripts', 'ivip_enqueue_script');
add_action('admin_head', 'ivip_enqueue_script');
/*
* Function : ivip_admin_script
* Author   : Varun Srivastava
* Date     : 28 Mar 2013
* Desc     : Class to show button on create new post screen.
*//*
function ivip_enqueue_admin_script() {
	wp_enqueue_script('ivip_custom_script',plugins_url('/ivip_custom_js.js', __FILE__),array('jquery'));
}    
add_action('wp_enqueue_scripts', 'ivip_enqueue_admin_script');

function ivip_admin_script()
{
?>
	<script type="text/javascript" href="<?php echo plugin_dir_url(__FILE__);?>ivip_custom_js.js"></script>
	<link rel="stylesheet" type="text/css" media="all" href="<?php echo plugin_dir_url(__FILE__);?>ivip_custom.css" />
<?php	
}
add_action('admin_head', 'ivip_admin_script');
*/
/*
* Class	   : IVIPGallery
* Author   : Varun Srivastava
* Date     : 28 Mar 2013
* Desc     : Class to show button on create new post screen.
*/
class IVIPGallery
{
	function __construct() {
		add_action( 'admin_init', array( $this, 'action_admin_init' ) );
	}
	
	function action_admin_init() {
		// only hook up these filters if we're in the admin panel, and the current user has permission
		// to edit posts and pages
		if ( current_user_can( 'edit_posts' ) && current_user_can( 'edit_pages' ) ) {
			add_filter( 'mce_buttons', array( $this, 'filter_mce_button' ) );
			add_filter( 'mce_external_plugins', array( $this, 'filter_mce_plugin' ) );
		}
	}
	
	function filter_mce_button( $buttons ) {
		// add a separation before our button, here our button's id is "ivipgallery_button"
		array_push( $buttons, '|', 'ivipgallery_button' );
		return $buttons;
	}
	
	function filter_mce_plugin( $plugins ) {
		// this plugin file will work the magic of our button
		$plugins['ivipgallery'] = plugin_dir_url( __FILE__ ) . 'ivip_gallery.js';
		
		?>
		<script type="text/javascript">
			var base_url="<?php echo plugin_dir_url( __FILE__ );?>";
		</script>
		<?php
		return $plugins;
	}
}
$ivipgallery = new IVIPGallery();
